MAINTAINERCLEANFILES = Makefile.in

EDJE_CC = @edje_cc@
EDJE_FLAGS = \
-id $(top_srcdir)/data/themes/default \
-fd $(top_srcdir)/data/themes/default

filesdir = $(datadir)/netbook-launcher-efl/data/themes
files_DATA = default.edj

EDJE_SRCS = \
arrow-down.png \
arrow-up.png \
busy-1.png \
busy-2.png \
busy-3.png \
busy-4.png \
busy-5.png \
busy-6.png \
busy-7.png \
busy-8.png \
busy-9.png \
eject.png \
error-bg.png \
favorite_add.png \
favorite_del.png \
iconviewbg.png \
launch-bg.png \
open.png \
scrollbar-bg.png \
scrollbar-knob.png \
sidebar_item_active_base.png \
sidebar_item_active_tip_normal.png \
sidebar_item_active_tip_pointer.png \
sidebar_item_normal.png \
sidebar_shadow.png \
text-bg.png

EXTRA_DIST = default.edc default_sliders_programs.edc $(EDJE_SRCS)

default.edj: Makefile default.edc default_sliders_programs.edc $(EDJE_SRCS)
	$(EDJE_CC) $(EDJE_FLAGS) \
	$(top_srcdir)/data/themes/default/default.edc \
	$(top_builddir)/data/themes/default/default.edj

clean-local:
	rm -f $(files_DATA)
